Bug 496474 - plasma rtl problem, wrong order
plasma rtl problem, wrong order
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks: F11Target
  Show dependency treegraph
 
Reported: 2009-04-19 10:17 EDT by Muayyad Alsadi
Modified: 2009-05-26 15:32 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-26 15:32:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 165100 None None None Never

  None (edit)
Description Muayyad Alsadi 2009-04-19 10:17:41 EDT
Description of problem:
the tab order in plasma application launcher

Version-Release number of selected component (if applicable):
kdebase-workspace-4.2.1-7

How reproducible:
always

Steps to Reproduce:
1. install kde
2. log into kde with Arabic locale
3. notice the direction of kicker elements and the tabs of launcher
  
Actual results:
http://bugsfiles.kde.org/attachment.cgi?id=25650
leave on left 
favorites left, leave right

Expected results:
correct screenshot
http://bugsfiles.kde.org/attachment.cgi?id=32374
favorites right, leave left

Additional info:
the tabs problem is fixed upstream
http://websvn.kde.org/?view=rev&revision=955865
this is the patch
http://websvn.kde.org/trunk/KDE/kdebase/workspace/plasma/applets/kickoff/ui/launcher.cpp?r1=955865&r2=955864&pathrev=955865&view=patch
applied with -p4

this is the F10 .src.rpm with the patch
http://www.ojuba.org/downloads/updates/2/SRPMS/kdebase-workspace-4.2.1-8.oj2.src.rpm
Comment 1 Rex Dieter 2009-04-19 10:29:27 EDT
Thanks.
Comment 2 Steven M. Parrish 2009-05-26 15:32:31 EDT
Per the upstream report this issue as been FIXED.

Comment #10 From Marco Martin  2009-04-18 19:40:24  -------

SVN commit 955865 by mart:

when the application layout is rtl the and the tabbar horizontal qtabbar
will do the opposite to what we tell it to do
BUG:165100
will backport to 4.2


 M  +17 -4     launcher.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=955865

Note You need to log in before you can comment on or make changes to this bug.